Package io.vertx.json.schema.common.dsl

## Enum StringFormat

- java.lang.Object
- - java.lang.Enum<StringFormat>
  - - io.vertx.json.schema.common.dsl.StringFormat

- All Implemented Interfaces:
    `Serializable`, `Comparable<StringFormat>`

      public enum StringFormat
      extends Enum<StringFormat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BYTE` |
    `DATE` |
    `DATETIME` |
    `EMAIL` |
    `HOSTNAME` |
    `IPV4` |
    `IPV6` |
    `JSON_POINTER` |
    `REGEX` |
    `RELATIVE_JSON_POINTER` |
    `TIME` |
    `URI` |
    `URI_REFERENCE` |
    `URI_TEMPLATE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` |
    `static StringFormat` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static StringFormat[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BYTE

          public static final StringFormat BYTE

    - #### DATE

          public static final StringFormat DATE

    - #### DATETIME

          public static final StringFormat DATETIME

    - #### IPV4

          public static final StringFormat IPV4

    - #### IPV6

          public static final StringFormat IPV6

    - #### HOSTNAME

          public static final StringFormat HOSTNAME

    - #### EMAIL

          public static final StringFormat EMAIL

    - #### URI

          public static final StringFormat URI

    - #### URI_REFERENCE

          public static final StringFormat URI_REFERENCE

    - #### REGEX

          public static final StringFormat REGEX

    - #### JSON_POINTER

          public static final StringFormat JSON_POINTER

    - #### RELATIVE_JSON_POINTER

          public static final StringFormat RELATIVE_JSON_POINTER

    - #### URI_TEMPLATE

          public static final StringFormat URI_TEMPLATE

    - #### TIME

          public static final StringFormat TIME

  - ### Method Detail

    - #### values

          public static StringFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StringFormat c : StringFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StringFormat valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()